Documentation

Generations

Updated: Nov 11, 2026

Method and Path

POST
/v1/images/generations

Native OpenAI Images format. Generates images from a text prompt.

Authorization

See API Guide - Authentication.

Header Parameters

See API Guide - Common Request Headers.

Request Body

application/json
  1. body
model*string

Model ID, e.g. gpt-image-1.

prompt*string

Text description of the image.

n?integer

Number of images to generate.

Range1 <= value
Default1
size?string

Image size, e.g. 1024x1024.

quality?string

Image quality, such as low, medium, high, or auto.

response_format?string

Response format, either url or b64_json. Some models always return b64_json.

Value in"url""b64_json"
output_format?string

Output image format, such as png, jpeg, or webp.

stream?boolean

Whether to stream the response.

Response Body

Successful response

application/json
  1. response
created?integer

Creation time, as a Unix timestamp in seconds.

data?array<>

List of generated images.

usage?

Token usage statistics.

Example Request
curl -X POST 'https://api.cysuo.com/v1/images/generations' \  -H 'Content-Type: application/json' \  -d '{  "model": "gpt-image-1",  "prompt": "An orange cat sunbathing on a windowsill, watercolor style",  "n": 1,  "size": "1024x1024"}'
Example Response200
{  "created": 0,  "data": [    {      "url": "string",      "b64_json": "string",      "revised_prompt": "string"    }  ],  "usage": {    "input_tokens": 0,    "input_tokens_details": {      "text_tokens": 0,      "image_tokens": 0    },    "output_tokens": 0,    "total_tokens": 0  }}